:root {
	--html-font: 15px;
	--font-main: "Inter", sans-serif;
	
	--color-text: 0, 0%, 20%;
	--color-background: 0, 0%, 96%;
	
	--content-padding-inline: 1rem;
	
	--h1-font: 2.5rem;
}

*,
::after,
::before {
	box-sizing: border-box;
}

html,
body {
	margin: 0;
	padding: 0;
	min-height: 100%;
}

html {
	font-family: var(--font-main);
	font-size: var(--html-font);
	font-optical-sizing: auto;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
}

body {
	display: flex;
	flex-direction: column;
	min-height: 100vh;
	color: hsl(var(--color-text));
	background-color: hsl(var(--color-background));
}

.text-bold {
	font-family: var(--font-main);
	font-weight: 700;
	font-style: normal;
}

.content {
	margin: 0 auto;
	padding: 0 var(--content-padding-inline);
	max-width: 90rem;
}

h1 {
	margin-top: 1rem;
	font-size: var(--h1-font);
	text-align: center;
}

/*.login-container {
	display: grid;
	place-items: center;
	height: 100vh;
}*/

@media (min-width:640px){
	:root{
		--content-padding-inline: 1.5rem;
		/*--content-block-padding:2.5rem 1.5rem;
		--content-block-radius:2.5rem;
		--padding:1.5rem;*/
		
		--h1-font: 2.6rem;
		/*--h2-font:2.3rem;
		--h3-font:1.7rem;
		--h4-font:1.3rem;
		--ht-font:1.3rem;*/
	}
}

@media (min-width:768px){
	:root{
		--html-font: 16px;
		--content-padding-inline: 1rem;
		/*--content-block-gap:5.5rem;
		--content-block-padding:3rem 2rem;
		--content-block-radius:3rem;
		--padding:2rem;*/
		
		--h1-font: 3rem;
		/*--h2-font:2.6rem;
		--h3-font:1.8rem;*/
	}
}

@media (min-width:1024px){
	:root{
		--html-font: 17px;
		/*--content-block-gap:6rem;
		--content-block-radius:3.5rem;
		--padding:2.5rem;*/
		
		--h1-font: 3.4rem;
	}
}

@media (min-width:1280px){
	:root{
		--h1-font: 3.6rem;
	}
}